//---------------------------------------------------------------------------
#ifndef FileWinH
#define FileWinH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "TextWins.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
void __fastcall EditFileText(TStrings *Text, AnsiString &FileName, TForm *Owner=Application->MainForm);
void __fastcall EditTextFile(AnsiString &FileName, TForm *Owner=Application->MainForm);

class TTextFileWin : public TTextWin
{
__published:	// IDE-managed Components
  
  TButton *CancelBtn;
  TCheckBox *CheckBox1;
  TOfficeButton *HelpBtn;
  void __fastcall CheckBox1Click(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
  
  
  
private:	// User declarations
public:	// User declarations
   AnsiString filename;
   virtual __fastcall TTextFileWin(TComponent* Owner);
   virtual __fastcall TTextFileWin(AnsiString &Filename, TComponent* Owner);
   virtual __fastcall TTextFileWin(TStrings *Txt, AnsiString &Filename, TComponent* Owner);
   void __fastcall SortTypeList(bool DisabledAtBottom);
   virtual void __fastcall SetText(AnsiString &Name, TStrings *Text);
   virtual bool __fastcall SaveAs();
   virtual bool __fastcall Save();
};
//---------------------------------------------------------------------------
extern TTextFileWin *TextFileWin;
//---------------------------------------------------------------------------
#endif
