//---------------------------------------------------------------------------
#ifndef MixProbWinsH
#define MixProbWinsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "MixKeyWins.h"
#include "explbtn.hpp"
//---------------------------------------------------------------------------
class TMixProbWin : public TMixKeyWin
{
__published:	// IDE-managed Components  constructors
  TMenuItem *ProblemItem;
  TOfficeButton *TransferBtn;
  TPopupMenu *PopupMenu3;
  TMenuItem *TransferKeyItem;
  TMenuItem *TransferKeysItem;
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall DeleteBtnClick(TObject *Sender);
  void __fastcall TreeViewDragOver(TObject *Sender, TObject *Source, int X,
     int Y, TDragState State, bool &Accept);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall DisableBtnClick(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  
  void __fastcall HelpBtnClick(TObject *Sender);
  void __fastcall ClearAllBtnClick(TObject *Sender);
  void __fastcall TransferKeyItemClick(TObject *Sender);
  void __fastcall PopupMenu3Popup(TObject *Sender);
  void __fastcall TransferKeysItemClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  AnsiString cap;
  virtual __fastcall TMixProbWin(TComponent* Owner); // unused
  virtual __fastcall TMixProbWin(TComponent* Owner, AnsiString KeyFile, AnsiString TypFile,
     AnsiString ListFile); // unused
  virtual __fastcall TMixProbWin(TComponent* Owner, bool Minimized);
  virtual __fastcall~TMixProbWin();
  //virtual void __fastcall SetNothingSelected();
  virtual void __fastcall Save();
  virtual void __fastcall Load();
  // message functions
  virtual void __fastcall WMAreYouKeyWindow(TMessage& Msg);
  virtual void __fastcall WMAreYouMixProbWindow(TMessage& Msg);
  virtual void __fastcall WMGetKeyringMenuDat(TMessage& Msg);
  virtual void __fastcall WMKeyringClearItemClicked(TMessage& Msg);
  // message map
  BEGIN_MESSAGE_MAP
  MESSAGE_HANDLER(WM_AREYOUKEYWINDOW,TMessage,WMAreYouKeyWindow)
  MESSAGE_HANDLER(WM_AREYOUMIXPROBWINDOW,TMessage,WMAreYouMixProbWindow)
  MESSAGE_HANDLER(WM_GETKEYRINGMENUDAT,TMessage,WMGetKeyringMenuDat)
  MESSAGE_HANDLER(WM_KEYRINGCLEARITEMCLICKED,TMessage,WMKeyringClearItemClicked)
  END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern TMixProbWin *MixProbWin;
//---------------------------------------------------------------------------
#endif
