//---------------------------------------------------------------------------
#ifndef PgpKeyImptDlgsH
#define PgpKeyImptDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Menus.hpp>
#include "pgpkeywins.h"
//---------------------------------------------------------------------------
bool __fastcall ImportPGPKeys(TForm *Owner, TPGPbuffer *ImpKeys, AnsiString &ImportDir);

class TPgpKeyImptDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *ImportBtn;
  TButton *CancelBtn;
  TButton *HelpBtn;
  TPanel *Panel1;
  TSpeedButton *ClipBtn;
  TSpeedButton *FileBtn;
  TComboBox *ComboBox1;
  TOpenDialog *OpenDialog;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopDeleteItem;
  TTimer *Timer1;
  TListBox *ListBox1;
  TRichEdit *RichEdit1;
  void __fastcall FileBtnClick(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall ImportBtnClick(TObject *Sender);
  void __fastcall ClipBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int flash;
  AnsiString *impdir,cap;
  TPGPbuffer *imports,*keys;
  virtual __fastcall TPgpKeyImptDlg(TComponent* Owner);
  virtual __fastcall TPgpKeyImptDlg(TComponent* Owner, TPGPbuffer *ImpKeys,
     AnsiString &ImportDir);
  virtual __fastcall~TPgpKeyImptDlg();
  void __fastcall ImportKeys(AnsiString Name, TStrings *AsciiBlock);
  TPGPbuffer* __fastcall IsPublic(TPGPbuffer *key);
};
//---------------------------------------------------------------------------
extern TPgpKeyImptDlg *PgpKeyImptDlg;
//---------------------------------------------------------------------------
#endif
