#define _WINSOCKAPI_
//---------------------------------------------------------------------------
#ifndef SmtpDlgsH
#define SmtpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "SmtpProt.hpp"

#include "MimeMan.h"
#include "MixMsg.h"
#include "Global.h"
//---------------------------------------------------------------------------
bool __fastcall SendMail();
void __fastcall AddString(AnsiString &String, TStrings *Strings, int WordWrapAt);
void __fastcall WrapMessage(TStrings *Msg, int AtCol);
AnsiString __fastcall SMTPPOP3logtime();
const AnsiString Shit = "Curses!";

class TSmtpDlg : public TForm
{
__published:	// IDE-managed Components
	TSmtpCli *SMTP;
	TPanel *Panel1;
	TButton *CancelBtn;
	TPanel *Panel2;
	TRichEdit *Display;
	TProgressBar *ProgressBar;
  TPopupMenu *PopupMenu1;
  TMenuItem *PopPrintItem;
  TTimer *Timer2;
  TMenuItem *PopCopyItem;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall SMTPDisplay(TObject *Sender, AnsiString Msg);
	void __fastcall SMTPGetData(TObject *Sender, int LineNum, PChar MsgLine,
	   int MaxLen, bool &More);
	void __fastcall SMTPRequestDone(TObject *Sender, TSmtpRequest RqType,
	   WORD Error);
	void __fastcall CancelBtnClick(TObject *Sender);
	void __fastcall SMTPProcessHeader(TObject *Sender, TStrings *HdrLines);
	void __fastcall SMTPSessionClosed(TObject *Sender, WORD Error);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall PopPrintItemClick(TObject *Sender);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall FormPaint(TObject *Sender);
  void __fastcall Timer2Timer(TObject *Sender);
  void __fastcall PopCopyItemClick(TObject *Sender);
  void __fastcall PopupMenu1Popup(TObject *Sender);
private:	// User declarations
   void __fastcall ExceptionHandler(TObject *Sender, Exception *E);
public:		// User declarations
   int curmsg,LastError;
   bool Cancelled,Aborted,Excepted,Rset;
   bool HeadDone,BodyDone;
   TMimeMan *MimeMan;
   THeaderManager *HeadMan;
   TMixMessage *MixMan;
   TStringList *Original;
   TStringList *Message;
   TStringList *Messages;
   AnsiString MessageName,MessageNameOrg;
   TStringList *Head,*Body,*bak,*ProblemRpt;
   double BytesTotal,BytesSent;
   TStringList *ProcessLog;  // obsolete
   TStringList *LastMixFeedback;
   AnsiString LastMixDateTime;
   int LastMixCount;
   AnsiString FontName; int FontSize;
   virtual __fastcall TSmtpDlg(TComponent* Owner);
   virtual __fastcall ~TSmtpDlg();
   int __fastcall Execute();
   void __fastcall Cancel();
   void __fastcall Abort(WORD Error=0);
   void __fastcall Except(Exception *E);
   void __fastcall ReturnCurrentToQueue();
   void __fastcall ShowExitInfo();
   void __fastcall DoSendMessage();
   int __fastcall GetHeaders();
   void __fastcall FileCopyMail(AnsiString &ToMailbox,TStrings* Message);
   // procedures used in SendMessage()
   bool __fastcall CutMessageAtMark();
   bool __fastcall GetNextMessage();
   void __fastcall GoNext();
   bool __fastcall HasHeader(AnsiString &Header);
   long __fastcall DoMixmasterMessage();
   AnsiString __fastcall GetMessageName(); // returns MessageName or MessageNameOrg
   bool __fastcall PrepareMail();
   bool __fastcall DupleRemailers(AnsiString &keyring, AnsiString &typfile);
   void __fastcall MassageNewsgroupsAndReferences();
   void __fastcall SaveProblemMessage(AnsiString MsgName, TStrings *Problems);
   void __fastcall TapQueues(); // sends messages to affect queue/problem buttons
   AnsiString __fastcall SendingCurrentMessageString();
   void __fastcall SetEditRect();
   void __fastcall SaveSMTPlog();
   // message functions
   void virtual __fastcall WMNextMessage(TMessage& Msg);
   // message map
   BEGIN_MESSAGE_MAP
   MESSAGE_HANDLER(WM_NEXTMESSAGE,TMessage,WMNextMessage)
   END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern TSmtpDlg *SmtpDlg;
//---------------------------------------------------------------------------
#endif
