//---------------------------------------------------------------------------
#ifndef HelpDlgsH
#define HelpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include "global.h"
//---------------------------------------------------------------------------
void __fastcall OpenHelp(AnsiString &Section, AnsiString &Title,
   AnsiString &ActiveTab, TForm *Owner=NULL);
   
const AnsiString QShelp(AppDir+"QS.help");
AnsiString __fastcall QSHelp();

class THelpDlg : public TForm
{
__published:	// IDE-managed Components
  TPopupMenu *PopupMenu1;
  TMenuItem *Print1;
  TPanel *Panel2;
  TTabControl *TabControl1;
  TRichEdit *HelpText;
  TPanel *Panel1;
  TRichEdit *RichEdit1;
  TTimer *Timer1;
  TMainMenu *MainMenu1;
  TMenuItem *File1;
  TMenuItem *Edit1;
  TMenuItem *Close1;
  TMenuItem *Copy1;
  TBevel *Bevel1;
  TMenuItem *Print2;
  TMenuItem *SelectAll1;
  void __fastcall FormPaint(TObject *Sender);
  void __fastcall TabControl1Change(TObject *Sender);
  void __fastcall Print1Click(TObject *Sender);
  void __fastcall TabControl1Changing(TObject *Sender, bool &AllowChange);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall Timer1Timer(TObject *Sender);
  void __fastcall Close1Click(TObject *Sender);
  void __fastcall Copy1Click(TObject *Sender);
  void __fastcall Edit1Click(TObject *Sender);
  void __fastcall SelectAll1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int *TopLine;
  TStrings *Tabs;
  TStringList *tabs;
  AnsiString Section,winpos;
  virtual __fastcall THelpDlg(TComponent* Owner);
  virtual __fastcall THelpDlg(AnsiString &Section, AnsiString &Title,
     AnsiString &ActiveTab,TComponent* Owner);
  __fastcall ~THelpDlg();
  void __fastcall LoadPage(int Index);
  void __fastcall SetEditRect();
};
//---------------------------------------------------------------------------
extern THelpDlg *HelpDlg;
//---------------------------------------------------------------------------
#endif
