//---------------------------------------------------------------------------
#ifndef pgpsdkH
#define pgpsdkH
#include <pgpOptionList.h>

bool __fastcall HasSdk();
char* __fastcall GetQdkLibName();
char* __fastcall GetQdkLibVersion();
// high level defined in this unit
//bool __fastcall PGPqdkSaveQSKeysToPGP6(HWND Owner);
bool __fastcall PGPqdkUpdateQSKeyrings(TForm *Owner, TControl *ForHourGlass);
bool __fastcall PGPqdkUpdatePGP6Keyrings(TForm *Owner, TControl *ForHourGlass);
bool __fastcall PGPqdkCheckPGP6NeedsUpdate(TForm *Owner, TControl *ForHourGlass);
// defined in QSpgp6
bool __fastcall PGPqdkInit(HWND Owner, HWND apphandle);
bool __fastcall PGPqdkCopyCompatible5(HWND Owner, char *pubring, char *secring);
bool __fastcall PGPqdkCopyCompat5(HWND Owner, char *pubring, char *secring);
bool __fastcall PGPqdkEnableKeys(HWND Owner, PGPKeySetRef keys, char *HexIDs);
bool __fastcall PGPqdkDeleteKeys(HWND Owner, PGPKeySetRef keys, char *HexIDs);
char*__fastcall PGPqdkExportKeys(HWND Owner, PGPKeySetRef keys, char *HexIDS,
   PGPExportFormat &ExpFormat, bool IncludePrivates);
bool __fastcall PGPqdkImportKeys(HWND Owner, PGPKeySetRef keys, char *Asciiblock);
//bool __fastcall PGPqdkAddKeysBack(HWND Owner, char *AsciiBlock);
AnsiString __fastcall PGPqdkPubringpkr();
AnsiString __fastcall PGPqdkSecringskr();
void __fastcall PGPqdkCleanup();
// typedefs for dll functions
typedef char*__fastcall (*GETQDKLIBVERSION)();
typedef char*__fastcall (*GETQDKLIBNAME)();
typedef bool __fastcall (*PGPQDKINIT)(HWND,HWND);
typedef bool __fastcall (*PGPQDKCOPYCOMPAT5)(HWND,char*,char*);
typedef bool __fastcall (*PGPQDKENABLEKEYS)(HWND,PGPKeySetRef,char*);
typedef bool __fastcall (*PGPQDKDELETEKEYS)(HWND,PGPKeySetRef,char*);
typedef bool __fastcall (*PGPQDKIMPORTKEYS)(HWND,PGPKeySetRef,char*);
typedef char*__fastcall (*PGPQDKEXPORTKEYS)(HWND,PGPKeySetRef,char*,PGPExportFormat&,bool);
typedef bool __fastcall (*PGPQDKADDKEYSBACK)(HWND,char*);
typedef char*__fastcall (*PGPQDKPUBRING)();
typedef char*__fastcall (*PGPQDKSECRING)();
typedef void __fastcall (*PGPQDKCLEANUP)();

extern HINSTANCE hPgpSdk;
//---------------------------------------------------------------------------
#endif
